Skip to main content
`Ctrl`+`K`

# MatMatSolveTranspose

Solves \(A^T X = B \), given a factored matrix.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMatSolveTranspose(Mat A, Mat B, Mat X)

Neighbor-wise Collective

## Input Parameters

- A - the factored matrix

- B - the right-hand-side matrix (`MATDENSE` matrix)

## Output Parameter

- X - the result matrix (dense matrix)

## Note

The matrices `B` and `X` cannot be the same. I.e., one cannot call `MatMatSolveTranspose`(A,X,X).

## See Also

Matrices, `Mat`, Matrix Factorization, `MatGetFactor()`, `MatSolveTranspose()`, `MatMatSolve()`, `MatLUFactor()`, `MatCholeskyFactor()`

## Level

developer

## Location

src/mat/interface/matrix.c

## Implementations

MatMatSolveTranspose_MUMPS() in src/mat/impls/aij/mpi/mumps/mumps.c
MatMatSolveTranspose_SeqAIJ() in src/mat/impls/aij/seq/aijfact.c
MatMatSolveTranspose_SPQR() in src/mat/impls/aij/seq/spqr/aijspqr.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages